1. Docs
  2. API Reference
  3. Get a user

Get a user

GET/portal/v1/accounts/{accountSlug}/users/{id}

Authentication

  • Bearer Token Authorization

    JWT access token

Path Parameters

Name Required Type Description
idRequiredstring

Code samples

cURLJavaScriptPythonGo
curl -X GET "https://api.canopy.dev/portal/v1/accounts/{accountSlug}/users/value" \
  -H "Authorization: Bearer $CANOPY_TOKEN"

Responses

200 User profile returned
{
  "id": "string",
  "email": "string",
  "first_name": "string",
  "last_name": "string",
  "name": "string",
  "avatar_url": "string",
  "is_active": false,
  "email_verified": false,
  "created_at": "2026-04-20T12:00:00.000Z",
  "joined_at": "2026-04-20T12:00:00.000Z"
}

application/json

  • idstring*
  • emailstring*
  • first_namestring*
  • last_namestring*
  • namestring*
  • avatar_urlstring
  • is_activeboolean*
  • email_verifiedboolean*
  • created_atstring (date-time)*
  • joined_atstring (date-time)*
401 Invalid or expired token
403 This token is not authorized for this endpoint (wrong principal type — e.g., admin token on identity-only endpoint, or vice versa)
404 User not found

Returned object

On this page

Related endpoints

GETList users in Account
GETGet Account users summary
DELETERemove user from Account
POSTActivate a user
POSTDeactivate a user